package jp.ossc.petstore.model;

/**
 * 顧客情報モデルクラス
 * @author ossc
 * @version $Revision: 1.2 $
 */
public class Customer {

	/**
	 * 顧客ＩＤ
	 */
    private int id;

    /**
     * ニックネーム
     */
    private String nickname;

    /**
     * 名
     */
    private String firstName;

    /**
     * 姓
     */
    private String lastName;

    /**
     * 住所１
     */
    private String address1;

    /**
     * 住所２
     */
    private String address2;

    /**
     * 住所３
     */
    private String address3;

    /**
     * 住所４
     */
    private String address4;

    /**
     * 電話番号
     */
    private String phone;

    /**
     * メールアドレス
     */
    private String mail;

    /**
     * パスワード
     */
    private String password;

    /**
     * コンストラクタ
     */
    public Customer() {
    }

    /**
     * コンストラクタ
     * @param nickname ニックネーム
     * @param lastName 姓
     * @param firstName 名
     * @param address1 住所１
     * @param address2 住所２
     * @param address3 住所３
     * @param address4 住所４
     * @param phone 電話番号
     * @param mail メールアドレス
     * @param password パスワード
     */
    public Customer(
    		String nickname,
    		String lastName,
    		String firstName,
    		String address1,
    		String address2,
    		String address3,
    		String address4,
    		String phone,
    		String mail,
    		String password) {
        this.nickname = nickname;
        this.lastName = lastName;
        this.firstName = firstName;
        this.address1 = address1;
        this.address2 = address2;
        this.address3 = address3;
        this.address4 = address4;
        this.phone = phone;
        this.mail = mail;
        this.password = password;
    }

    /**
     * 顧客ＩＤ取得
     * @return 顧客ＩＤ
     */
    public int getId() {
        return this.id;
    }

    /**
     * 顧客ＩＤ設定
     * @param id 顧客ＩＤ
     */
    public void setId(int id) {
        this.id = id;
    }

    /**
     * ニックネーム取得
     * @return ニックネーム
     */
    public String getNickname() {
        return this.nickname;
    }

    /**
     * ニックネーム設定
     * @param nickname ニックネーム
     */
    public void setNickname(String nickname) {
        this.nickname = nickname;
    }

    /**
     * 姓取得
     * @return 姓
     */
    public String getLastName() {
        return this.lastName;
    }

    /**
     * 姓設定
     * @param lastName 姓
     */
    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    /**
     * 名取得
     * @return 名
     */
    public String getFirstName() {
        return this.firstName;
    }

    /**
     * 名設定
     * @param firstName 名
     */
    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    /**
     * 住所１取得
     * @return 住所１
     */
    public String getAddress1() {
        return this.address1;
    }

    /**
     * 住所１設定
     * @param address1 住所１
     */
    public void setAddress1(String address1) {
        this.address1 = address1;
    }

    /**
     * 住所２取得
     * @return 住所２
     */
    public String getAddress2() {
        return this.address2;
    }

    /**
     * 住所２設定
     * @param address2 住所２
     */
    public void setAddress2(String address2) {
        this.address2 = address2;
    }

    /**
     * 住所３取得
     * @return 住所３
     */
    public String getAddress3() {
        return this.address3;
    }

    /**
     * 住所３設定
     * @param address3 住所３
     */
    public void setAddress3(String address3) {
        this.address3 = address3;
    }

    /**
     * 住所４取得
     * @return 住所４
     */
    public String getAddress4() {
        return this.address4;
    }

    /**
     * 住所４設定
     * @param address4 住所４
     */
    public void setAddress4(String address4) {
        this.address4 = address4;
    }

    /**
     * 電話番号取得
     * @return 電話番号
     */
    public String getPhone() {
        return this.phone;
    }

    /**
     * 電話番号設定
     * @param phone 電話番号
     */
    public void setPhone(String phone) {
        this.phone = phone;
    }

    /**
     * メールアドレス取得
     * @return メールアドレス
     */
    public String getMail() {
        return this.mail;
    }

    /**
     * メールアドレス設定
     * @param mail メールアドレス
     */
    public void setMail(String mail) {
        this.mail = mail;
    }

    /**
     * パスワード取得
     * @return パスワード
     */
    public String getPassword() {
        return this.password;
    }

    /**
     * パスワード設定
     * @param password パスワード
     */
    public void setPassword(String password) {
        this.password = password;
    }

}
